#ifndef _ccanvas_h_included_
#define _ccanvas_h_included_

#include <qwidget.h>

class TCanvas;

class CCanvas: public QWidget
{
protected:
	TCanvas *fCanvas;
	bool fbNeedResize;

public:
	CCanvas( QWidget* parent, const char *title, const char *name );
	virtual ~CCanvas();

	void paintEvent(QPaintEvent *p);
	void resizeEvent(QResizeEvent *p);

	TCanvas* getCanvas() { return fCanvas; }
};

#endif

