#include <TCanvas.h>

#include "CPxCanvas.h"

CPxCanvas::CPxCanvas(const char* name)
{
	resize(100, 100);
	int wid = gVirtualX->AddWindow( (int) this, 100, 100 );
	fCanvas = new TCanvas(name, 100, 100, wid);
}

CPxCanvas::~CPxCanvas()
{
	delete fCanvas;
}

void
CPxCanvas::update()
{
	QSize sz = size();

	if( sz != fOldSize )
		fCanvas->Resize();

	fCanvas->Modified();
	fCanvas->Update();
	fCanvas->Flush();
}

